SetupOnboardingController_taxConfigure
POST
/setup/v1/tax/configure
const url = 'https://your-store.example.com/setup/v1/tax/configure';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"businessCountry":"example","defaultCurrency":"example","taxMode":"none","vatNumber":"example","ossPosture":"below_threshold","pricesIncludeTax":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/setup/v1/tax/configure \ --header 'Content-Type: application/json' \ --data '{ "businessCountry": "example", "defaultCurrency": "example", "taxMode": "none", "vatNumber": "example", "ossPosture": "below_threshold", "pricesIncludeTax": true }'Request Body required
Section titled “Request Body required ” Media type application/json
object
businessCountry
required
string
defaultCurrency
required
string
taxMode
string
vatNumber
string
ossPosture
string
pricesIncludeTax
boolean